Home / Troubleshooting ladders, captures, and debug / 488 codecs and 422 session timers
488 codecs and 422 session timers
488 is this UA refusing the session description. 422 is a session interval below Min-SE.
Learn in 5 minutes
- Read 488 as an offer/answer refusal at this UA
- Retry 422 with a large enough session interval
- Keep telephone-event in the overlap you meant to keep
Visual
They are different requests to the next INVITE.
Worked example
See the overlap Negotiate this synthetic offer and answer. PCMU and telephone-event are on both sides. PCMA is only in the offer.
- Run Negotiate.
- Find the shared audio codec.
- Confirm telephone-event on both sides.
Fault
The UAS returned 488 Not Acceptable Here. The next INVITE only changes Session-Expires from 90 to 1800 and repeats the same SDP.
488 points at this UA and the SDP. 422 would have been Session Interval Too Small with Min-SE.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
CRM Screen pop uses data the contact center already has: ANI, DNIS, case id. Those values may arrive in SIP headers or in a CTI event after the call is up. The CRM is not a SIP element.
Sources and go deeper
- RFC 3261 §21 — last checked 2026-10
- RFC 3264 — last checked 2026-10
- RFC 3264 §6 — last checked 2026-10
- RFC 3551 — last checked 2026-10
- RFC 4733 — last checked 2026-10
- RFC 4028 — last checked 2026-10
- RFC 3261 §17 — last checked 2026-10
- RFC 6337 — last checked 2026-10